org.apache.lucene.util

## Class Constants

- java.lang.Object
- - org.apache.lucene.util.Constants

-     public final class Constants
      extends Object

  Some useful constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `FREE_BSD` True iff running on FreeBSD
    `static String` | `JAVA_VENDOR`
    `static String` | `JAVA_VERSION` The value of `System.getProperty("java.version")`.
    `static boolean` | `JRE_IS_64BIT` True iff running on a 64bit JVM
    `static boolean` | `JRE_IS_MINIMUM_JAVA11`
    `static boolean` | `JRE_IS_MINIMUM_JAVA8`
    `static boolean` | `JRE_IS_MINIMUM_JAVA9`
    `static String` | `JVM_NAME`
    `static String` | `JVM_SPEC_VERSION`
    `static String` | `JVM_VENDOR` JVM vendor info.
    `static String` | `JVM_VERSION`
    `static boolean` | `LINUX` True iff running on Linux.
    `static String` | `LUCENE_MAIN_VERSION` Deprecated. Use `Version.LATEST`
    `static String` | `LUCENE_VERSION` Deprecated. Use `Version.LATEST`
    `static boolean` | `MAC_OS_X` True iff running on Mac OS X
    `static String` | `OS_ARCH`
    `static String` | `OS_NAME` The value of `System.getProperty("os.name")`.
    `static String` | `OS_VERSION`
    `static boolean` | `SUN_OS` True iff running on SunOS.
    `static boolean` | `WINDOWS` True iff running on Windows.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JVM_VENDOR

          public static final String JVM_VENDOR

      JVM vendor info.

    - #### JVM_VERSION

          public static final String JVM_VERSION

    - #### JVM_NAME

          public static final String JVM_NAME

    - #### JVM_SPEC_VERSION

          public static final String JVM_SPEC_VERSION

    - #### JAVA_VERSION

          public static final String JAVA_VERSION

      The value of `System.getProperty("java.version")`.

    - #### OS_NAME

          public static final String OS_NAME

      The value of `System.getProperty("os.name")`.

    - #### LINUX

          public static final boolean LINUX

      True iff running on Linux.

    - #### WINDOWS

          public static final boolean WINDOWS

      True iff running on Windows.

    - #### SUN_OS

          public static final boolean SUN_OS

      True iff running on SunOS.

    - #### MAC_OS_X

          public static final boolean MAC_OS_X

      True iff running on Mac OS X

    - #### FREE_BSD

          public static final boolean FREE_BSD

      True iff running on FreeBSD

    - #### OS_ARCH

          public static final String OS_ARCH

    - #### OS_VERSION

          public static final String OS_VERSION

    - #### JAVA_VENDOR

          public static final String JAVA_VENDOR

    - #### JRE_IS_64BIT

          public static final boolean JRE_IS_64BIT

      True iff running on a 64bit JVM

    - #### JRE_IS_MINIMUM_JAVA8

          public static final boolean JRE_IS_MINIMUM_JAVA8

      See Also:
        Constant Field Values

    - #### JRE_IS_MINIMUM_JAVA9

          public static final boolean JRE_IS_MINIMUM_JAVA9

    - #### JRE_IS_MINIMUM_JAVA11

          public static final boolean JRE_IS_MINIMUM_JAVA11

    - #### LUCENE_MAIN_VERSION

          @Deprecated
          public static final String LUCENE_MAIN_VERSION

      Deprecated. Use `Version.LATEST`
      This is the internal Lucene version, including bugfix versions, recorded into each segment.

    - #### LUCENE_VERSION

          @Deprecated
          public static final String LUCENE_VERSION

      Deprecated. Use `Version.LATEST`
      Don't use this constant because the name is not self-describing!

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.